=== doc/requirements.txt ===
# pip packages required for building the documentation via mkdocs
pymdown-extensions
