=== debian/changelog ===
cctools (9.9-4ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:47:05 +0000

cctools (9.9-4ubuntu3) noble; urgency=medium

  * Undefine _FILE_OFFSET_BITS and _TIME_BITS in rmonitor_helper.c so the library's
    interposition of open/open64 still works.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 20 Mar 2024 15:59:17 +1300

cctools (9.9-4ubuntu2) noble; urgency=medium

  * No-change rebuild against libopenmpi3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 18:14:39 +0000

cctools (9.9-4ubuntu1) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Fix build by using -O0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 06 Dec 2023 14:22:56 +0100

cctools (9.9-3ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix build by using -O0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Nov 2023 17:53:19 +0100

cctools (9.9-2ubuntu6) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 16:59:41 +0000

cctools (9.9-2ubuntu5) lunar; urgency=medium

  * Rebuild to drop Python 3.10 extension

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 28 Feb 2023 17:19:52 -0500

cctools (9.9-2ubuntu4) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 02 Nov 2022 08:25:26 +0000

cctools (9.9-2ubuntu3) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:21:20 +0000

cctools (9.9-2ubuntu2) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Oct 2021 09:53:34 +0200

cctools (9.9-2ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix build by using -O0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 07 Sep 2021 14:39:59 +0200

cctools (9.9-1ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix build by using -O0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 23 Aug 2021 16:30:05 +0200
